<?xml version="1.0" encoding="UTF-8"?>
<!--Multiple camera strategy config table-->
<MultiCameraConfigTable>
    <rule name = "ZOOM[2x] unexpected, check manually">
        <condition name = "ZOOM_RATIO" min = "0.1" max = "100"/>
        <outState>
            <camera name = "wide" prev = "true"/>
            <camera name = "ultra_wide"/>
        </outState>

        <rule name = "[Bright(Non super night)] --> [wide isz, ultra_wide binning]">
            <condition name = "META" tag = "MULTICAM_IS_NIGHT" type = "INT32" value = "0" outTag = "MULTICAM_CONDITION_NIGHT"/>
            <outState>
                <camera name = "wide" prev = "true" stage = "iszBayer"/>
                <camera name = "ultra_wide"/>
            </outState>

            <rule name = "[Bright MANUAL_EXPOSURE STREAM_ON] --> [wide binning, ultra_wide binning]">
                <condition name = "META" tag = "IS_MANUAL_EXPOSURE" type = "BOOL" value = "true" outTag = "MULTICAM_CONDITION_2"/>
                <condition name = "META" tag = "IS_MULTI_CAMERA_STREAM_ON" type = "INT32" value = "2" outTag = "MULTICAM_CONDITION_STREAM_ON"/>
                <outState>
                    <camera name = "wide" prev = "true"/>
                    <camera name = "ultra_wide"/>
                </outState>
            </rule>

            <rule name = "[1.5-2.5x Bright MANUAL_EXPOSURE] --> [wide binning]">
                <condition name = "META" tag = "IS_MANUAL_EXPOSURE" type = "BOOL" value = "true" outTag = "MULTICAM_CONDITION_2"/>
                <condition name = "META" tag = "IS_MULTI_CAMERA_STREAM_ON" type = "INT32" value = "1" outTag = "MULTICAM_CONDITION_STREAM_ON"/>
                <outState>
                    <camera name = "wide" prev = "true"/>
                </outState>
            </rule>

            <rule name = "[Bright STREAM_ON] --> [wide isz, ultra_wide binning]">
                <condition name = "META" tag = "IS_MULTI_CAMERA_STREAM_ON" type = "INT32" value = "2" outTag = "MULTICAM_CONDITION_STREAM_ON"/>
                <outState>
                    <camera name = "wide" prev = "true" stage = "iszBayer"/>
                    <camera name = "ultra_wide"/>
                </outState>
                <rule name = "[Bright STREAM_ON] --> [wide qudra capture, ultra_wide binning]">
                    <condition name = "META" tag = "MULTICAM_IS_CAPTURE" type = "BOOL" value = "true" outTag = "MULTICAM_CONDITION_0"/>
                    <outState>
                        <camera name = "wide" prev = "true" stage = "remosaic"/>
                        <camera name = "ultra_wide"/>
                    </outState>
                </rule>
            </rule>

            <rule name = "[Bright] --> [wide isz]">
                <condition name = "META" tag = "IS_MULTI_CAMERA_STREAM_ON" type = "INT32" value = "1" outTag = "MULTICAM_CONDITION_STREAM_ON"/>
                <outState>
                    <camera name = "wide" prev = "true" stage = "iszBayer"/>
                </outState>
                <rule name = "[Bright STREAM_ON] --> [wide qudra capture]">
                    <condition name = "META" tag = "MULTICAM_IS_CAPTURE" type = "BOOL" value = "true" outTag = "MULTICAM_CONDITION_0"/>
                    <outState>
                        <camera name = "wide" prev = "true" stage = "remosaic"/>
                    </outState>
                </rule>
            </rule>
            <rule name = "[Bright default] --> [wide qudra+uw]">
                <condition name = "META" tag = "MULTICAM_IS_CAPTURE" type = "BOOL" value = "true" outTag = "MULTICAM_CONDITION_0"/>
                <outState>
                    <camera name = "wide" prev = "true" stage = "remosaic"/>
                    <camera name = "ultra_wide" stage = "binning12"/>
                </outState>
            </rule>
        </rule>

        <rule name = "[1.5-2.5x Super(dark) night] --> [wide binning /+ uw]">
            <condition name = "META" tag = "MULTICAM_IS_NIGHT" type = "INT32" value = "1" outTag = "MULTICAM_CONDITION_NIGHT"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "ultra_wide"/>
            </outState>
            <rule name = "[1.5-2.5x Super(dark)] --> [wide + uw]">
                <condition name = "META" tag = "IS_MULTI_CAMERA_STREAM_ON" type = "INT32" value = "2" outTag = "MULTICAM_CONDITION_STREAM_ON"/>
                <outState>
                    <camera name = "wide" prev = "true"/>
                    <camera name = "ultra_wide"/>
                </outState>
            </rule>
            <rule name = "[1.5-2.5x Super(dark)] --> [wide]">
                <condition name = "META" tag = "IS_MULTI_CAMERA_STREAM_ON" type = "INT32" value = "1" outTag = "MULTICAM_CONDITION_STREAM_ON"/>
                <outState>
                    <camera name = "wide" prev = "true"/>
                </outState>
            </rule>
        </rule>
    </rule>

    <rule name = "ZOOM[10000x] never go in ">
        <condition name = "ZOOM_RATIO" min = "10000" max = "10000.1"/>
        <condition name = "META" tag = "MULTICAM_IS_NIGHT" type = "INT32" value = "0" outTag = "MULTICAM_CONDITION_NIGHT"/>
        <condition name = "META" tag = "MULTICAM_IS_SUPER_NIGHT" type = "INT32" value = "0" outTag = "MULTICAM_CONDITION_SUPER_NIGHT"/>
        <condition name = "META" tag = "MULTICAM_IS_DARK_NIGHT" type = "INT32" value = "0" outTag = "MULTICAM_CONDITION_DARK_NIGHT"/>
        <outState>
            <camera name = "wide" prev = "true" />
        </outState>
    </rule>

</MultiCameraConfigTable>